/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *               (c)1997-2001 Nasa Ames Research Center		    *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/

package gov.nasa.arc.brahms.atm;

agent Kim_Agent memberof Student {
	location: SouthHall;


	initial_beliefs:
		(current contains Kim_Cash);
		(current contains Kim_BankCard);
		(Kim_Account.balance = 30.00);
		(Kim_Account.code = 1312 );
		(Kim_Account.pin = 1331);
		(Kim_Account openedWithBank WF_Bank);
		(Kim_Cash.amount = 18.00);
		(current.howHungry = 10.00);
		(Campanile_Clock.time = 1);
		(current.perceivedtime = 1);
		(current hasCash Kim_Cash);
		(current hasBankCard Kim_BankCard);
		(Blakes_Diner.foodcost = 6.0);
		(Raleigh_Diner.foodcost = 3.0);
		(current.preferredCashOut = 12.0);
		(current.needCash = false);
		(current.chosenDiner = Raleigh_Diner);
		(current.chosenBank = WF_Bank);
		(WF_Atm ownedbyBank WF_Bank);
		(current hasAccount Kim_Account);
		(current.correctPin = 1331); //used to remeber the correct pin when it is forgotten
		(current.believedPin = 1331); 

	initial_facts:
		(current.male = false);
		(current contains Kim_Cash);
		(current contains Kim_BankCard);
		(current hasCash Kim_Cash);
		(current hasBankCard Kim_BankCard);
		(current.chosenDiner = Raleigh_Diner);
		(current hasAccount Kim_Account);
		(current.believedPin = 1331);
		(current.preferredCashOut = 12.0);



}
