/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *               (c)1997-2001 Nasa Ames Research Center		    *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/

package gov.nasa.arc.brahms.atm;

agent Alex_Agent memberof Student {
	location: SouthHall;

	initial_beliefs:
		(current contains Alex_Cash);
		(current contains Alex_BankCard);
		(Alex_Account.balance = 20.00);
		(Alex_Account.code = 1212 );
		(Alex_Account.pin = 1111);
		(Alex_Account openedWithBank Boa_Bank);
		(Alex_Cash.amount = 13.00);
		(current.howHungry = 15.00);
		(Campanile_Clock.time = 1);
		(current.perceivedtime = 1);
		(current hasCash Alex_Cash);
		(current hasBankCard Alex_BankCard);
		(Blakes_Diner.foodcost = 6.0);
		(Raleigh_Diner.foodcost = 3.0);
		(current.preferredCashOut = 8.0);
		(current.needCash = false);
		(current.chosenDiner = Raleigh_Diner);
		(current.chosenBank = Boa_Bank);
		(Boa_Atm ownedbyBank Boa_Bank);
		(current hasAccount Alex_Account);
		(current.correctPin = 1111); //used to remeber the correct pin when it is forgotten
		(current.believedPin = 1111); 

	initial_facts:
		(current.male = true);
		(current contains Alex_Cash);
		(current contains Alex_BankCard);
		(current hasCash Alex_Cash);
		(current hasBankCard Alex_BankCard);
		(current.chosenDiner = Raleigh_Diner);
		(current hasAccount Alex_Account);
		(current.believedPin = 1111);
		(current.preferredCashOut = 8.0);
		


}
